package com.aucma.report.domain;

import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 质量问题前80报表
 *
 * @author Yinq
 * @date 2024-03-15
 */
public class QualityIssuesReport extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 工厂
     */
    @Excel(name = "工厂")
    @JsonProperty("FACTORY_NAME")
    private String FACTORY_NAME;

    /**
     * 产线
     */
    @Excel(name = "产线")
    @JsonProperty("PRODUCT_LINE_NAME")
    private String PRODUCT_LINE_NAME;

    /**
     * 产品型号
     */
    @Excel(name = "产品型号")
    @JsonProperty("MATERIAL_MODEL")
    private String MATERIAL_MODEL;

    /**
     * 缺陷名称
     */
    @Excel(name = "缺陷名称")
    @JsonProperty("QUALITY_DEFECT_NAME")
    private String QUALITY_DEFECT_NAME;

    /**
     * 数量
     */
    @Excel(name = "数量")
    @JsonProperty("Q_SUM")
    private Long Q_SUM;

    /**
     * 缺陷占比
     */
    @Excel(name = "缺陷占比")
    @JsonProperty("OFFLINE_NUM")
    private String OFFLINE_NUM;

    public String getFACTORY_NAME() {
        return FACTORY_NAME;
    }

    public void setFACTORY_NAME(String FACTORY_NAME) {
        this.FACTORY_NAME = FACTORY_NAME;
    }

    public String getPRODUCT_LINE_NAME() {
        return PRODUCT_LINE_NAME;
    }

    public void setPRODUCT_LINE_NAME(String PRODUCT_LINE_NAME) {
        this.PRODUCT_LINE_NAME = PRODUCT_LINE_NAME;
    }

    public String getMATERIAL_MODEL() {
        return MATERIAL_MODEL;
    }

    public void setMATERIAL_MODEL(String MATERIAL_MODEL) {
        this.MATERIAL_MODEL = MATERIAL_MODEL;
    }

    public String getQUALITY_DEFECT_NAME() {
        return QUALITY_DEFECT_NAME;
    }

    public void setQUALITY_DEFECT_NAME(String QUALITY_DEFECT_NAME) {
        this.QUALITY_DEFECT_NAME = QUALITY_DEFECT_NAME;
    }

    public Long getQ_SUM() {
        return Q_SUM;
    }

    public void setQ_SUM(Long q_SUM) {
        Q_SUM = q_SUM;
    }

    public String getOFFLINE_NUM() {
        return OFFLINE_NUM;
    }

    public void setOFFLINE_NUM(String OFFLINE_NUM) {
        this.OFFLINE_NUM = OFFLINE_NUM;
    }

    @Override
    public String toString() {
        return "QualityIssuesReport{" +
                "FACTORY_NAME='" + FACTORY_NAME + '\'' +
                ", PRODUCT_LINE_NAME='" + PRODUCT_LINE_NAME + '\'' +
                ", MATERIAL_MODEL='" + MATERIAL_MODEL + '\'' +
                ", QUALITY_DEFECT_NAME='" + QUALITY_DEFECT_NAME + '\'' +
                ", Q_SUM=" + Q_SUM +
                ", OFFLINE_NUM='" + OFFLINE_NUM + '\'' +
                '}';
    }
}
